package com.pyvio.openapi.sdk.client;


public abstract class PageRequest<T> extends PyvioRequest {

    /**
     * 每页显示条数，默认 10
     */
    private Integer page_no=1;

    /**
     * 当前页
     */
    private Integer page_size=20;

    public Integer getPage_no() {
        return page_no;
    }

    public void setPage_no(Integer page_no) {
        this.page_no = page_no;
    }

    public Integer getPage_size() {
        return page_size;
    }

    public void setPage_size(Integer page_size) {
        this.page_size = page_size;
    }
}
