package com.pyvio.openapi.sdk.entity.balance;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PageRequest;

public class BalanceListGetRequest extends PageRequest<BalanceListGetResponse> {

    private Long from_created;
    private Long to_created;
    private String currency;
    private String account_type;

    public Long getFrom_created() {
        return from_created;
    }

    public void setFrom_created(Long from_created) {
        this.from_created = from_created;
    }

    public Long getTo_created() {
        return to_created;
    }

    public void setTo_created(Long to_created) {
        this.to_created = to_created;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getAccount_type() {
        return account_type;
    }

    public void setAccount_type(String account_type) {
        this.account_type = account_type;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.BalanceList;
    }
}
