package com.pyvio.openapi.sdk.entity.collection;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;
import com.pyvio.openapi.sdk.entity.info.AttachmentInfo;
import com.pyvio.openapi.sdk.entity.info.ContractOrderList;
import com.pyvio.openapi.sdk.entity.info.SenderInfo;

import java.util.List;

public class CollectionAttachmentSubmitRequest extends PyvioRequest<CollectionAttachmentSubmitResponse> {

    private String order_id;
    private String attachment_type;
    private String web_store_url;
    private List<AttachmentInfo> files;
    private List<ContractOrderList> contract_order_list;
    private SenderInfo sender_info;

    public String getOrder_id() {
        return order_id;
    }

    public void setOrder_id(String order_id) {
        this.order_id = order_id;
    }

    public String getAttachment_type() {
        return attachment_type;
    }

    public void setAttachment_type(String attachment_type) {
        this.attachment_type = attachment_type;
    }

    public String getWeb_store_url() {
        return web_store_url;
    }

    public void setWeb_store_url(String web_store_url) {
        this.web_store_url = web_store_url;
    }

    public List<AttachmentInfo> getFiles() {
        return files;
    }

    public void setFiles(List<AttachmentInfo> files) {
        this.files = files;
    }

    public List<ContractOrderList> getContract_order_list() {
        return contract_order_list;
    }

    public void setContract_order_list(List<ContractOrderList> contract_order_list) {
        this.contract_order_list = contract_order_list;
    }

    public SenderInfo getSender_info() {
        return sender_info;
    }

    public void setSender_info(SenderInfo sender_info) {
        this.sender_info = sender_info;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.CollectionAttachmentSubmit;
    }
}
