package com.pyvio.openapi.sdk.entity.collection;

import com.pyvio.openapi.sdk.client.PyvioResponse;
import com.pyvio.openapi.sdk.entity.info.CollectionAttachmentInfo;
import com.pyvio.openapi.sdk.entity.info.RemitterInfo;

import java.math.BigDecimal;

public class CollectionDTO extends PyvioResponse {
    private String unit_id;
    private String order_id;
    private String account_no;
    private String biz_type;
    private Long finish_time;
    private Long created;
    private BigDecimal origin_amount;
    private String origin_currency;
    private String net_currency;
    private BigDecimal net_amount;
    private String status;
    private BigDecimal fee_amount;
    private String fee_currency;
    private String reference;
    private String funding_source;
    private String attachment_review_state;
    private RemitterInfo remitter_info;
    private CollectionAttachmentInfo attachment_info;

    public String getAttachment_review_state() {
        return attachment_review_state;
    }

    public void setAttachment_review_state(String attachment_review_state) {
        this.attachment_review_state = attachment_review_state;
    }

    public CollectionAttachmentInfo getAttachment_info() {
        return attachment_info;
    }

    public void setAttachment_info(CollectionAttachmentInfo attachment_info) {
        this.attachment_info = attachment_info;
    }

    public String getOrder_id() {
        return order_id;
    }

    public void setOrder_id(String order_id) {
        this.order_id = order_id;
    }

    public String getAccount_no() {
        return account_no;
    }

    public void setAccount_no(String account_no) {
        this.account_no = account_no;
    }

    public String getBiz_type() {
        return biz_type;
    }

    public void setBiz_type(String biz_type) {
        this.biz_type = biz_type;
    }

    public Long getFinish_time() {
        return finish_time;
    }

    public void setFinish_time(Long finish_time) {
        this.finish_time = finish_time;
    }

    public Long getCreated() {
        return created;
    }

    public void setCreated(Long created) {
        this.created = created;
    }

    public BigDecimal getOrigin_amount() {
        return origin_amount;
    }

    public void setOrigin_amount(BigDecimal origin_amount) {
        this.origin_amount = origin_amount;
    }

    public String getOrigin_currency() {
        return origin_currency;
    }

    public void setOrigin_currency(String origin_currency) {
        this.origin_currency = origin_currency;
    }

    public String getNet_currency() {
        return net_currency;
    }

    public void setNet_currency(String net_currency) {
        this.net_currency = net_currency;
    }

    public BigDecimal getNet_amount() {
        return net_amount;
    }

    public void setNet_amount(BigDecimal net_amount) {
        this.net_amount = net_amount;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public BigDecimal getFee_amount() {
        return fee_amount;
    }

    public void setFee_amount(BigDecimal fee_amount) {
        this.fee_amount = fee_amount;
    }

    public String getFee_currency() {
        return fee_currency;
    }

    public void setFee_currency(String fee_currency) {
        this.fee_currency = fee_currency;
    }

    public String getReference() {
        return reference;
    }

    public void setReference(String reference) {
        this.reference = reference;
    }

    public String getFunding_source() {
        return funding_source;
    }

    public void setFunding_source(String funding_source) {
        this.funding_source = funding_source;
    }

    public String getUnit_id() {
        return unit_id;
    }

    public void setUnit_id(String unit_id) {
        this.unit_id = unit_id;
    }

    public RemitterInfo getRemitter_info() {
        return remitter_info;
    }

    public void setRemitter_info(RemitterInfo remitter_info) {
        this.remitter_info = remitter_info;
    }
}
