package com.pyvio.openapi.sdk.entity.fx;

import com.pyvio.openapi.sdk.client.PyvioResponse;

import java.math.BigDecimal;
import java.time.LocalDateTime;

public class FxOrderDTO extends PyvioResponse {
    private String partner_order_id;
    private String order_id;
    private String unit_id;

    private String origin_currency;
    private BigDecimal origin_amount;

    private String target_currency;
    private BigDecimal target_amount;

    private String status;
    private String rate_id;
    private BigDecimal exchange_rate;
    private String failure_reason;
    private String finish_time;
    private Long created;
    private Long modified;

    public String getPartner_order_id() {
        return partner_order_id;
    }

    public void setPartner_order_id(String partner_order_id) {
        this.partner_order_id = partner_order_id;
    }

    public String getOrder_id() {
        return order_id;
    }

    public void setOrder_id(String order_id) {
        this.order_id = order_id;
    }

    public String getUnit_id() {
        return unit_id;
    }

    public void setUnit_id(String unit_id) {
        this.unit_id = unit_id;
    }

    public String getOrigin_currency() {
        return origin_currency;
    }

    public void setOrigin_currency(String origin_currency) {
        this.origin_currency = origin_currency;
    }

    public BigDecimal getOrigin_amount() {
        return origin_amount;
    }

    public void setOrigin_amount(BigDecimal origin_amount) {
        this.origin_amount = origin_amount;
    }

    public String getTarget_currency() {
        return target_currency;
    }

    public void setTarget_currency(String target_currency) {
        this.target_currency = target_currency;
    }

    public BigDecimal getTarget_amount() {
        return target_amount;
    }

    public void setTarget_amount(BigDecimal target_amount) {
        this.target_amount = target_amount;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getRate_id() {
        return rate_id;
    }

    public void setRate_id(String rate_id) {
        this.rate_id = rate_id;
    }

    public BigDecimal getExchange_rate() {
        return exchange_rate;
    }

    public void setExchange_rate(BigDecimal exchange_rate) {
        this.exchange_rate = exchange_rate;
    }

    public String getFailure_reason() {
        return failure_reason;
    }

    public void setFailure_reason(String failure_reason) {
        this.failure_reason = failure_reason;
    }

    public String getFinish_time() {
        return finish_time;
    }

    public void setFinish_time(String finish_time) {
        this.finish_time = finish_time;
    }

    public Long getCreated() {
        return created;
    }

    public void setCreated(Long created) {
        this.created = created;
    }

    public Long getModified() {
        return modified;
    }

    public void setModified(Long modified) {
        this.modified = modified;
    }
}
