package com.pyvio.openapi.sdk.entity.issuing.balance;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

import java.math.BigDecimal;

public class CardWithdrawRequest extends PyvioRequest<CardWithdrawResponse> {

    private String partner_order_id;
    private String card_id;
    private BigDecimal amount;
    private String account_currency;

    public String getPartner_order_id() {
        return partner_order_id;
    }

    public void setPartner_order_id(String partner_order_id) {
        this.partner_order_id = partner_order_id;
    }

    public String getCard_id() {
        return card_id;
    }

    public void setCard_id(String card_id) {
        this.card_id = card_id;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getAccount_currency() {
        return account_currency;
    }

    public void setAccount_currency(String account_currency) {
        this.account_currency = account_currency;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.CardWithdraw;
    }
}
