package com.pyvio.openapi.sdk.entity.issuing.card;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

import java.math.BigDecimal;

public class CardCreateRequest extends PyvioRequest<CardCreateResponse> {

    private String card_bin_id;
    private String currency;
    private BigDecimal amount;
    private String account_currency;
    private String partner_order_id;

    public String getCard_bin_id() {
        return card_bin_id;
    }

    public void setCard_bin_id(String card_bin_id) {
        this.card_bin_id = card_bin_id;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getAccount_currency() {
        return account_currency;
    }

    public void setAccount_currency(String account_currency) {
        this.account_currency = account_currency;
    }

    public String getPartner_order_id() {
        return partner_order_id;
    }

    public void setPartner_order_id(String partner_order_id) {
        this.partner_order_id = partner_order_id;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.CardCreate;
    }
}
