package com.pyvio.openapi.sdk.entity.issuing.cardholder;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

import java.util.Date;

public class CardholderCreateRequest extends PyvioRequest<CardholderCreateResponse> {

    private String partner_holder_id;
    private String region;
    private String first_name;
    private String last_name;
    private String mobile_prefix;
    private String mobile;
    private String email;
    private String birth_date;
    private String country_code;
    private String state;
    private String city;
    private String address;
    private String postcode;

    public String getPartner_holder_id() {
        return partner_holder_id;
    }

    public void setPartner_holder_id(String partner_holder_id) {
        this.partner_holder_id = partner_holder_id;
    }

    public String getRegion() {
        return region;
    }

    public void setRegion(String region) {
        this.region = region;
    }

    public String getFirst_name() {
        return first_name;
    }

    public void setFirst_name(String first_name) {
        this.first_name = first_name;
    }

    public String getLast_name() {
        return last_name;
    }

    public void setLast_name(String last_name) {
        this.last_name = last_name;
    }

    public String getMobile_prefix() {
        return mobile_prefix;
    }

    public void setMobile_prefix(String mobile_prefix) {
        this.mobile_prefix = mobile_prefix;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getBirth_date() {
        return birth_date;
    }

    public void setBirth_date(String birth_date) {
        this.birth_date = birth_date;
    }

    public String getCountry_code() {
        return country_code;
    }

    public void setCountry_code(String country_code) {
        this.country_code = country_code;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getCity() {
        return city;
    }

    public void setCity(String city) {
        this.city = city;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPostcode() {
        return postcode;
    }

    public void setPostcode(String postcode) {
        this.postcode = postcode;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.CardholderCreate;
    }
}
