package com.pyvio.openapi.sdk.entity.issuing.cardholder;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

public class CardholderGetRequest extends PyvioRequest<CardholderGetResponse> {
    private String card_holder_id;
    private String partner_holder_id;

    public String getCard_holder_id() {
        return card_holder_id;
    }

    public void setCard_holder_id(String card_holder_id) {
        this.card_holder_id = card_holder_id;
    }

    public String getPartner_holder_id() {
        return partner_holder_id;
    }

    public void setPartner_holder_id(String partner_holder_id) {
        this.partner_holder_id = partner_holder_id;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.CardholderGet;
    }
}
