package com.pyvio.openapi.sdk.entity.issuing.transaction;

import com.pyvio.openapi.sdk.entity.info.CardMerchantFeeInfo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

@Setter
@Getter
public class CardTransactionsDTO {
    private String card_id;
    private String partner_order_id;
    private String transaction_id;
    private Long transaction_time;
    private Long create_time;
    private String transaction_currency;
    private BigDecimal transaction_amount;
    private String billing_currency;
    private BigDecimal billing_amount;
    private String auth_code;
    private String transaction_type;
    private String transaction_status;
    private String result_code;
    private String fail_reason;
    private String merchant_name;
    private String reference_id;
    private String mcc;
    private String cross_board_type;
    private CardMerchantFeeInfo merchant_fee;
}
