package com.pyvio.openapi.sdk.entity.payment;

import com.pyvio.openapi.sdk.client.PyvioResponse;
import com.pyvio.openapi.sdk.entity.info.ExchangeInfo;

import java.math.BigDecimal;

public class PaymentDTO extends PyvioResponse {

    private String unit_id;
    private String order_id;
    private String partner_order_id;
    private String order_type;
    private BigDecimal fee_amount;
    private String fee_currency;
    private BigDecimal origin_amount;
    private String origin_currency;
    private BigDecimal target_amount;
    private String target_currency;
    private String status;
    private ExchangeInfo exchange_info;
    private String payee_id;
    private String charge_indicator;
    private String failure_reason;
    private String remarks;
    private String purpose;
    private String documents;
    private Long finish_time;
    private Long created;
    private Long modified;

    public String getUnit_id() {
        return unit_id;
    }

    public void setUnit_id(String unit_id) {
        this.unit_id = unit_id;
    }

    public String getOrder_id() {
        return order_id;
    }

    public void setOrder_id(String order_id) {
        this.order_id = order_id;
    }

    public String getPartner_order_id() {
        return partner_order_id;
    }

    public void setPartner_order_id(String partner_order_id) {
        this.partner_order_id = partner_order_id;
    }

    public String getOrder_type() {
        return order_type;
    }

    public void setOrder_type(String order_type) {
        this.order_type = order_type;
    }

    public BigDecimal getFee_amount() {
        return fee_amount;
    }

    public void setFee_amount(BigDecimal fee_amount) {
        this.fee_amount = fee_amount;
    }

    public String getFee_currency() {
        return fee_currency;
    }

    public void setFee_currency(String fee_currency) {
        this.fee_currency = fee_currency;
    }

    public BigDecimal getOrigin_amount() {
        return origin_amount;
    }

    public void setOrigin_amount(BigDecimal origin_amount) {
        this.origin_amount = origin_amount;
    }

    public String getOrigin_currency() {
        return origin_currency;
    }

    public void setOrigin_currency(String origin_currency) {
        this.origin_currency = origin_currency;
    }

    public BigDecimal getTarget_amount() {
        return target_amount;
    }

    public void setTarget_amount(BigDecimal target_amount) {
        this.target_amount = target_amount;
    }

    public String getTarget_currency() {
        return target_currency;
    }

    public void setTarget_currency(String target_currency) {
        this.target_currency = target_currency;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public ExchangeInfo getExchange_info() {
        return exchange_info;
    }

    public void setExchange_info(ExchangeInfo exchange_info) {
        this.exchange_info = exchange_info;
    }

    public String getPayee_id() {
        return payee_id;
    }

    public void setPayee_id(String payee_id) {
        this.payee_id = payee_id;
    }

    public String getCharge_indicator() {
        return charge_indicator;
    }

    public void setCharge_indicator(String charge_indicator) {
        this.charge_indicator = charge_indicator;
    }

    public String getFailure_reason() {
        return failure_reason;
    }

    public void setFailure_reason(String failure_reason) {
        this.failure_reason = failure_reason;
    }

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getDocuments() {
        return documents;
    }

    public void setDocuments(String documents) {
        this.documents = documents;
    }

    public Long getFinish_time() {
        return finish_time;
    }

    public void setFinish_time(Long finish_time) {
        this.finish_time = finish_time;
    }

    public Long getCreated() {
        return created;
    }

    public void setCreated(Long created) {
        this.created = created;
    }

    public Long getModified() {
        return modified;
    }

    public void setModified(Long modified) {
        this.modified = modified;
    }
}
