package com.pyvio.openapi.sdk.entity.payment;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

public class PaymentGetRequest extends PyvioRequest<PaymentDTO> {

    private String order_id;
    private String partner_order_id;

    public String getOrder_id() {
        return order_id;
    }

    public void setOrder_id(String order_id) {
        this.order_id = order_id;
    }

    public String getPartner_order_id() {
        return partner_order_id;
    }

    public void setPartner_order_id(String partner_order_id) {
        this.partner_order_id = partner_order_id;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.PaymentGet;
    }
}
