package com.pyvio.openapi.sdk.entity.payment;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PageRequest;

public class PaymentListRequest extends PageRequest<PaymentListResponse> {
    private Long from_created;
    private Long to_created;
    private String status;

    public Long getFrom_created() {
        return from_created;
    }

    public void setFrom_created(Long from_created) {
        this.from_created = from_created;
    }

    public Long getTo_created() {
        return to_created;
    }

    public void setTo_created(Long to_created) {
        this.to_created = to_created;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.PaymentList;
    }
}
