package com.pyvio.openapi.sdk.entity.repatriation;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

public class ContractOrderLogisticRequest extends PyvioRequest<ContractOrderLogisticResponse> {
    private String batch_no;
    private String carrier;
    private String tracking_number;
    private String logistics_file;

    public String getBatch_no() {
        return batch_no;
    }

    public void setBatch_no(String batch_no) {
        this.batch_no = batch_no;
    }

    public String getCarrier() {
        return carrier;
    }

    public void setCarrier(String carrier) {
        this.carrier = carrier;
    }

    public String getTracking_number() {
        return tracking_number;
    }

    public void setTracking_number(String tracking_number) {
        this.tracking_number = tracking_number;
    }

    public String getLogistics_file() {
        return logistics_file;
    }

    public void setLogistics_file(String logistics_file) {
        this.logistics_file = logistics_file;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.ContractOrderLogistic;
    }
}
