
package com.pyvio.openapi.sdk.entity.repatriation;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;
import com.pyvio.openapi.sdk.entity.info.AdsOrderInfo;
import com.pyvio.openapi.sdk.entity.info.GoodsOrderInfo;
import com.pyvio.openapi.sdk.entity.info.SoftwareOrderInfo;

import java.util.List;

/**
 * @author hyt
 * @version $Id: RepatriationOrderImportRequest.java, v 0.1 2022年11月07日 4:43 PM
 */
public class RepatriationOrderImportRequest extends PyvioRequest<RepatriationOrderImportResponse> {


    private List<GoodsOrderInfo> goods_order_list;

    private List<AdsOrderInfo> ads_order_list;

    private List<SoftwareOrderInfo> software_order_list;

    private String order_type;

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.RepatriationOrderImport;
    }

    public List<GoodsOrderInfo> getGoods_order_list() {
        return goods_order_list;
    }

    public void setGoods_order_list(List<GoodsOrderInfo> goods_order_list) {
        this.goods_order_list = goods_order_list;
    }

    public List<AdsOrderInfo> getAds_order_list() {
        return ads_order_list;
    }

    public void setAds_order_list(List<AdsOrderInfo> ads_order_list) {
        this.ads_order_list = ads_order_list;
    }

    public List<SoftwareOrderInfo> getSoftware_order_list() {
        return software_order_list;
    }

    public void setSoftware_order_list(List<SoftwareOrderInfo> software_order_list) {
        this.software_order_list = software_order_list;
    }

    public String getOrder_type() {
        return order_type;
    }

    public void setOrder_type(String order_type) {
        this.order_type = order_type;
    }
}
