package com.pyvio.openapi.sdk.entity.transfer;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PageRequest;

public class TransferListRequest extends PageRequest<TransferListResponse> {
    private String from_created;
    private String to_created;
    private String status;

    public String getFrom_created() {
        return from_created;
    }

    public void setFrom_created(String from_created) {
        this.from_created = from_created;
    }

    public String getTo_created() {
        return to_created;
    }

    public void setTo_created(String to_created) {
        this.to_created = to_created;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.TransferList;
    }
}
