package com.pyvio.openapi.sdk.entity.user;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;
import com.pyvio.openapi.sdk.client.PyvioResponse;
import com.pyvio.openapi.sdk.entity.info.CompanyInfo;
import com.pyvio.openapi.sdk.entity.info.PersonInfo;

import java.util.List;

public class BaseUserRequest<U extends PyvioResponse> extends PyvioRequest<U> {

    @Override
    public Endpoint getEndPointEnum() {
        return null;
    }

    private String partner_user_id;
    private String email;
    private String phone;
    private String merchant_type;
    private String kyc_type;
    private List<String> industry;
    private PersonInfo individual_info;
    private CompanyInfo company_info;

    public String getPartner_user_id() {
        return partner_user_id;
    }

    public void setPartner_user_id(String partner_user_id) {
        this.partner_user_id = partner_user_id;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getMerchant_type() {
        return merchant_type;
    }

    public void setMerchant_type(String merchant_type) {
        this.merchant_type = merchant_type;
    }

    public String getKyc_type() {
        return kyc_type;
    }

    public void setKyc_type(String kyc_type) {
        this.kyc_type = kyc_type;
    }

    public List<String> getIndustry() {
        return industry;
    }

    public void setIndustry(List<String> industry) {
        this.industry = industry;
    }

    public PersonInfo getIndividual_info() {
        return individual_info;
    }

    public void setIndividual_info(PersonInfo individual_info) {
        this.individual_info = individual_info;
    }

    public CompanyInfo getCompany_info() {
        return company_info;
    }

    public void setCompany_info(CompanyInfo company_info) {
        this.company_info = company_info;
    }

}
