package com.pyvio.openapi.sdk.enums;

public class GlobalAccountEnum {

    public enum BizType{
        Collection("Collection"),
        B2BCollection("B2B Collection"),
        DirectPayment("Direct Payment");

        private final String code;

        BizType(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    public enum Platform {

        Lazada("Lazada"),
        Shopee("Shopee"),
        Jumia("Jumia"),
        Tokopedia("Tokopedia"),
        Shopify("Shopify"),
        Shopyy("Shopyy"),
        TikTokShop("TikTok Shop"),
        FacebookAudienceNetwork("Facebook Audience Network"),
        AppStore("App Store"),
        GoogleAdmob("Google Admob"),
        GoogleAdsense("Google Adsense"),
        GooglePlay("Google Play"),;

        private final String code;

        Platform(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    public enum Acquirer {
        PayPal("PayPal"),
        Stripe("Stripe"),
        WorldPay("WorldPay"),
        Adyen("Adyen"),
        ShopifyPayment("Shopify Payment"),
        FirstData("First Data");

        private final String code;

        Acquirer(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

}
