import com.alibaba.fastjson.JSONObject;
import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioClient;
import com.pyvio.openapi.sdk.entity.balance.BalanceGetRequest;
import com.pyvio.openapi.sdk.entity.balance.BalanceGetResponse;
import com.pyvio.openapi.sdk.entity.balance.BalanceHistoryRequest;
import com.pyvio.openapi.sdk.entity.balance.BalanceHistoryResponse;
import com.pyvio.openapi.sdk.entity.file.FileUploadRequest;
import com.pyvio.openapi.sdk.entity.file.FileUploadResponse;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.time.LocalDateTime;
import java.time.ZoneOffset;

public class FileTest extends BaseTest{
    private static final Logger log = LoggerFactory.getLogger(BaseTest.class);

    @Test
    public void testFileUpload(){
        log.info("------------testFileUpload---------------");
        PyvioClient pyvioClient = getClient(Endpoint.FileUpload);

        FileUploadRequest request = new FileUploadRequest();
        request.setPath("/1808777261234845971/test/bg.jpg");
        FileUploadResponse response = pyvioClient.execute(request);
        System.out.println(JSONObject.toJSONString(response));
        log.info("------------testFileUpload---------------");
    }

}
