package com.pyvio.openapi.sdk.client;

public class ClientConfig {

    private String domainUrl;

    private String appId;

    private String appSecret;

    /**
     * 用户私钥，签名用，或拿回调数据验签用
     */
    private String privateKey;

    private String accessToken;

    /**
     * 打印签名内容,调试用
     */
    private boolean debug = false;



    public ClientConfig() {
    }

    public ClientConfig(String domainUrl, String appId, String appSecret, String privateKey, String accessToken) {
        this.domainUrl = domainUrl;
        this.appId = appId;
        this.appSecret = appSecret;
        this.privateKey = privateKey;
        this.accessToken = accessToken;
    }

    public String getDomainUrl() {
        return domainUrl;
    }

    public void setDomainUrl(String domainUrl) {
        this.domainUrl = domainUrl;
    }

    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getPrivateKey() {
        return privateKey;
    }

    public void setPrivateKey(String privateKey) {
        this.privateKey = privateKey;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public boolean isDebug() {
        return debug;
    }

    public void setDebug(boolean debug) {
        this.debug = debug;
    }
}
