package com.pyvio.openapi.sdk.client;


import java.util.Collections;
import java.util.List;

public class PageResponse<T> extends PyvioResponse {

    private static final Long serialVersionUID = 7381045250015374857L;

    private List<T> list = Collections.emptyList();
    /**
     * 总数
     */
    private int total;

    /**
     * 每页显示条数，默认 10
     */
    private int page_no;

    /**
     * 当前页
     */
    private int page_size;

    public List<T> getList() {
        return list;
    }

    public void setList(List<T> list) {
        this.list = list;
    }

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getPage_no() {
        return page_no;
    }

    public void setPage_no(int page_no) {
        this.page_no = page_no;
    }

    public int getPage_size() {
        return page_size;
    }

    public void setPage_size(int page_size) {
        this.page_size = page_size;
    }
}
