package com.pyvio.openapi.sdk.client;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public abstract class PyvioRequest<T extends PyvioResponse> {

    public abstract Endpoint getEndPointEnum();

    private Map<String, String> header = new HashMap<>();

    public Map<String, String> getHeader() {
        return header;
    }

    public void setHeader(Map<String, String> header) {
        this.header = header;
    }
}
