package com.pyvio.openapi.sdk.entity.authentication;

import com.pyvio.openapi.sdk.client.PyvioRequest;
import com.pyvio.openapi.sdk.client.Endpoint;

public class AccessTokenGetRequest extends PyvioRequest<AccessTokenGetResponse> {
    private String app_id;
    private String app_secret;
    private String grant_type;
    private String code;

    public String getApp_id() {
        return app_id;
    }

    public void setApp_id(String app_id) {
        this.app_id = app_id;
    }

    public String getApp_secret() {
        return app_secret;
    }

    public void setApp_secret(String app_secret) {
        this.app_secret = app_secret;
    }

    public String getGrant_type() {
        return grant_type;
    }

    public void setGrant_type(String grant_type) {
        this.grant_type = grant_type;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.AccessTokenGet;
    }
}
