package com.pyvio.openapi.sdk.entity.fx;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

import java.math.BigDecimal;

/**
 * @Author: guoguotao
 * @createTime: 2023/5/16 10:31
 * @version: 1.0
 * @Description: description
 */

public class FxOrderCreateRequest extends PyvioRequest<FxOrderDTO> {

    private String partner_order_id;
    /**
     * 汇率id
     */
    private String rate_id;
    /**
     * 交易方向
     */
    private String cal_origin;
    /**
     * 金额
     */
    private BigDecimal amount;

    private String origin_currency;

    private String target_currency;
    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.FxOrderCreate;
    }

    public String getPartner_order_id() {
        return partner_order_id;
    }

    public void setPartner_order_id(String partner_order_id) {
        this.partner_order_id = partner_order_id;
    }

    public String getRate_id() {
        return rate_id;
    }

    public void setRate_id(String rate_id) {
        this.rate_id = rate_id;
    }

    public String getCal_origin() {
        return cal_origin;
    }

    public void setCal_origin(String cal_origin) {
        this.cal_origin = cal_origin;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getOrigin_currency() {
        return origin_currency;
    }

    public void setOrigin_currency(String origin_currency) {
        this.origin_currency = origin_currency;
    }

    public String getTarget_currency() {
        return target_currency;
    }

    public void setTarget_currency(String target_currency) {
        this.target_currency = target_currency;
    }
}
