package com.pyvio.openapi.sdk.entity.fx;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PageRequest;

public class FxOrderListRequest extends PageRequest<FxOrderListResponse> {
    private Long from_created;
    private Long to_created;
    private String origin_currency;
    private String target_currency;
    private String status;

    public Long getFrom_created() {
        return from_created;
    }

    public void setFrom_created(Long from_created) {
        this.from_created = from_created;
    }

    public Long getTo_created() {
        return to_created;
    }

    public void setTo_created(Long to_created) {
        this.to_created = to_created;
    }

    public String getOrigin_currency() {
        return origin_currency;
    }

    public void setOrigin_currency(String origin_currency) {
        this.origin_currency = origin_currency;
    }

    public String getTarget_currency() {
        return target_currency;
    }

    public void setTarget_currency(String target_currency) {
        this.target_currency = target_currency;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.FxOrderList;
    }
}
