package com.pyvio.openapi.sdk.entity.fx;

import com.pyvio.openapi.sdk.client.PyvioResponse;

import java.math.BigDecimal;

public class QueryFxRateResponse extends PyvioResponse {

    private String unit_id;

    /**
     * 汇率id
     */
    private String rate_id;
    /**
     * 汇率
     */
    private BigDecimal exchange_rate;

    /**
     * 原始币种
     */
    private String origin_currency;
    /**
     * 目标币种
     */
    private String target_currency;
    /**
     * 过期时间
     */
    private Long expire_time;

    public String getUnit_id() {
        return unit_id;
    }

    public void setUnit_id(String unit_id) {
        this.unit_id = unit_id;
    }

    public String getRate_id() {
        return rate_id;
    }

    public void setRate_id(String rate_id) {
        this.rate_id = rate_id;
    }

    public BigDecimal getExchange_rate() {
        return exchange_rate;
    }

    public void setExchange_rate(BigDecimal exchange_rate) {
        this.exchange_rate = exchange_rate;
    }

    public String getOrigin_currency() {
        return origin_currency;
    }

    public void setOrigin_currency(String origin_currency) {
        this.origin_currency = origin_currency;
    }

    public String getTarget_currency() {
        return target_currency;
    }

    public void setTarget_currency(String target_currency) {
        this.target_currency = target_currency;
    }

    public Long getExpire_time() {
        return expire_time;
    }

    public void setExpire_time(Long expire_time) {
        this.expire_time = expire_time;
    }
}
