package com.pyvio.openapi.sdk.entity.globalAccount;

import com.pyvio.openapi.sdk.client.PyvioResponse;
import com.pyvio.openapi.sdk.entity.info.GlobalAccountBankAccountInfo;
import com.pyvio.openapi.sdk.entity.info.GlobalAccountFeeInfo;
import com.pyvio.openapi.sdk.entity.info.RoutingInfo;

import java.util.List;

public class GlobalAccountDTO extends PyvioResponse {
    private String ga_id;
    private String partner_ga_id;
    private String account_name;
    private String account_no;
    private String account_type;
    private String biz_type;
    private String country;
    private String currency;
    private String status;
    private String swift_code;
    private String unit_id;
    private GlobalAccountBankAccountInfo bank_info;
    private List<RoutingInfo> routing_info;
    private List<GlobalAccountFeeInfo> fee_info;
    private Long created;
    private Long modified;

    public String getGa_id() {
        return ga_id;
    }

    public void setGa_id(String ga_id) {
        this.ga_id = ga_id;
    }

    public String getPartner_ga_id() {
        return partner_ga_id;
    }

    public void setPartner_ga_id(String partner_ga_id) {
        this.partner_ga_id = partner_ga_id;
    }

    public String getAccount_name() {
        return account_name;
    }

    public void setAccount_name(String account_name) {
        this.account_name = account_name;
    }

    public String getAccount_no() {
        return account_no;
    }

    public void setAccount_no(String account_no) {
        this.account_no = account_no;
    }

    public String getAccount_type() {
        return account_type;
    }

    public void setAccount_type(String account_type) {
        this.account_type = account_type;
    }

    public String getBiz_type() {
        return biz_type;
    }

    public void setBiz_type(String biz_type) {
        this.biz_type = biz_type;
    }

    public String getCountry() {
        return country;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public GlobalAccountBankAccountInfo getBank_info() {
        return bank_info;
    }

    public void setBank_info(GlobalAccountBankAccountInfo bank_info) {
        this.bank_info = bank_info;
    }

    public List<RoutingInfo> getRouting_info() {
        return routing_info;
    }

    public void setRouting_info(List<RoutingInfo> routing_info) {
        this.routing_info = routing_info;
    }

    public List<GlobalAccountFeeInfo> getFee_info() {
        return fee_info;
    }

    public void setFee_info(List<GlobalAccountFeeInfo> fee_info) {
        this.fee_info = fee_info;
    }

    public Long getCreated() {
        return created;
    }

    public void setCreated(Long created) {
        this.created = created;
    }

    public Long getModified() {
        return modified;
    }

    public void setModified(Long modified) {
        this.modified = modified;
    }

    public String getSwift_code() {
        return swift_code;
    }

    public void setSwift_code(String swift_code) {
        this.swift_code = swift_code;
    }

    public String getUnit_id() {
        return unit_id;
    }

    public void setUnit_id(String unit_id) {
        this.unit_id = unit_id;
    }
}
