package com.pyvio.openapi.sdk.entity.globalAccount;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

public class GlobalAccountGetRequest extends PyvioRequest<GlobalAccountDTO> {

    private String ga_id;
    private String partner_ga_id;

    public String getGa_id() {
        return ga_id;
    }

    public void setGa_id(String ga_id) {
        this.ga_id = ga_id;
    }

    public String getPartner_ga_id() {
        return partner_ga_id;
    }

    public void setPartner_ga_id(String partner_ga_id) {
        this.partner_ga_id = partner_ga_id;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.GlobalAccountGet;
    }
}