package com.pyvio.openapi.sdk.entity.globalAccount;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PageRequest;

public class GlobalAccountListRequest extends PageRequest<GlobalAccountListResponse> {

    private Long from_created;
    private Long to_created;
    private String account_no;
    private String currency;

    public Long getFrom_created() {
        return from_created;
    }

    public void setFrom_created(Long from_created) {
        this.from_created = from_created;
    }

    public Long getTo_created() {
        return to_created;
    }

    public void setTo_created(Long to_created) {
        this.to_created = to_created;
    }

    public String getAccount_no() {
        return account_no;
    }

    public void setAccount_no(String account_no) {
        this.account_no = account_no;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.GlobalAccountList;
    }
}