package com.pyvio.openapi.sdk.entity.globalAccount;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

public class GlobalAccountOpenRequest extends PyvioRequest<GlobalAccountDTO> {

    private String biz_type;
    private String currency;
    private String partner_ga_id;
    private String platform;
    private String country;
    private String shop_id;
    private String account_purpose;
    private String multi_currency;

    public String getMulti_currency() {
        return multi_currency;
    }

    public void setMulti_currency(String multi_currency) {
        this.multi_currency = multi_currency;
    }

    public void setBiz_type(String biz_type) {
        this.biz_type = biz_type;
    }

    public String getBiz_type() {
        return biz_type;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getCurrency() {
        return currency;
    }

    public void setPartner_ga_id(String partner_ga_id) {
        this.partner_ga_id = partner_ga_id;
    }

    public String getPartner_ga_id() {
        return partner_ga_id;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPlatform() {
        return platform;
    }

    public void setCountry(String country) {
        this.country = country;
    }

    public String getCountry() {
        return country;
    }

    public String getShop_id() {
        return shop_id;
    }

    public void setShop_id(String shop_id) {
        this.shop_id = shop_id;
    }

    public String getAccount_purpose() {
        return account_purpose;
    }

    public void setAccount_purpose(String account_purpose) {
        this.account_purpose = account_purpose;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.GlobalAccountOpen;
    }
}