package com.pyvio.openapi.sdk.entity.issuing.transaction;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PageRequest;

public class CardTransactionGetRequest extends PageRequest<CardTransactionGetResponse> {

    private String card_id;
    private String partner_order_id;
    private String begin_time;
    private String end_time;
    private String transaction_type;

    public String getTransaction_type() {
        return transaction_type;
    }

    public void setTransaction_type(String transaction_type) {
        this.transaction_type = transaction_type;
    }

    public String getCard_id() {
        return card_id;
    }

    public void setCard_id(String card_id) {
        this.card_id = card_id;
    }

    public String getPartner_order_id() {
        return partner_order_id;
    }

    public void setPartner_order_id(String partner_order_id) {
        this.partner_order_id = partner_order_id;
    }

    public String getBegin_time() {
        return begin_time;
    }

    public void setBegin_time(String begin_time) {
        this.begin_time = begin_time;
    }

    public String getEnd_time() {
        return end_time;
    }

    public void setEnd_time(String end_time) {
        this.end_time = end_time;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.CardTransactionsGet;
    }
}
