package com.pyvio.openapi.sdk.entity.payee;

import com.pyvio.openapi.sdk.client.PyvioResponse;
import com.pyvio.openapi.sdk.entity.info.BankAccountInfo;
import com.pyvio.openapi.sdk.entity.info.PayeeInfo;
import com.pyvio.openapi.sdk.entity.info.WalletInfo;

public class PayeeDTO extends PyvioResponse {

    private String partner_payee_id;
    private String payee_id;
    private String unit_id;
    private String status;
    private Long created;
    private Long modified;
    private String payee_type;
    private String payment_method;
    private String holder_type;
    private String currency;
    private String contact_documents;
    private BankAccountInfo bank_account_info;
    private PayeeInfo payee_info;
    private WalletInfo wallet_info;

    public String getUnit_id() {
        return unit_id;
    }

    public void setUnit_id(String unit_id) {
        this.unit_id = unit_id;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getContact_documents() {
        return contact_documents;
    }

    public void setContact_documents(String contact_documents) {
        this.contact_documents = contact_documents;
    }

    public WalletInfo getWallet_info() {
        return wallet_info;
    }

    public void setWallet_info(WalletInfo wallet_info) {
        this.wallet_info = wallet_info;
    }

    public String getPartner_payee_id() {
        return partner_payee_id;
    }

    public void setPartner_payee_id(String partner_payee_id) {
        this.partner_payee_id = partner_payee_id;
    }

    public String getPayee_id() {
        return payee_id;
    }

    public void setPayee_id(String payee_id) {
        this.payee_id = payee_id;
    }

    public String getPayment_method() {
        return payment_method;
    }

    public void setPayment_method(String payment_method) {
        this.payment_method = payment_method;
    }

    public String getHolder_type() {
        return holder_type;
    }

    public void setHolder_type(String holder_type) {
        this.holder_type = holder_type;
    }

    public String getPayee_type() {
        return payee_type;
    }

    public void setPayee_type(String payee_type) {
        this.payee_type = payee_type;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public BankAccountInfo getBank_account_info() {
        return bank_account_info;
    }

    public void setBank_account_info(BankAccountInfo bank_account_info) {
        this.bank_account_info = bank_account_info;
    }

    public PayeeInfo getPayee_info() {
        return payee_info;
    }

    public void setPayee_info(PayeeInfo payee_info) {
        this.payee_info = payee_info;
    }

    public Long getCreated() {
        return created;
    }

    public void setCreated(Long created) {
        this.created = created;
    }

    public Long getModified() {
        return modified;
    }

    public void setModified(Long modified) {
        this.modified = modified;
    }
}
