package com.pyvio.openapi.sdk.entity.payee;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

public class PayeeGetRequest extends PyvioRequest<PayeeDTO> {

    private String payee_id;
    private String partner_payee_id;

    public String getPayee_id() {
        return payee_id;
    }

    public void setPayee_id(String payee_id) {
        this.payee_id = payee_id;
    }

    public String getPartner_payee_id() {
        return partner_payee_id;
    }

    public void setPartner_payee_id(String partner_payee_id) {
        this.partner_payee_id = partner_payee_id;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.PayeeGet;
    }
}
