package com.pyvio.openapi.sdk.entity.payee;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PageRequest;

public class PayeeListRequest extends PageRequest<PayeeListResponse> {

    private Long from_created;
    private Long to_created;
    private String status;
    private String account_no;
    private String holder_type;

    public Long getFrom_created() {
        return from_created;
    }

    public void setFrom_created(Long from_created) {
        this.from_created = from_created;
    }

    public Long getTo_created() {
        return to_created;
    }

    public void setTo_created(Long to_created) {
        this.to_created = to_created;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getAccount_no() {
        return account_no;
    }

    public void setAccount_no(String account_no) {
        this.account_no = account_no;
    }

    public String getHolder_type() {
        return holder_type;
    }

    public void setHolder_type(String holder_type) {
        this.holder_type = holder_type;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.PayeeList;
    }
}