package com.pyvio.openapi.sdk.entity.repatriation;

import com.pyvio.openapi.sdk.client.PyvioResponse;
import com.pyvio.openapi.sdk.entity.info.ContractAdsFeeInfo;
import com.pyvio.openapi.sdk.entity.info.ContractLogisticsFee;
import com.pyvio.openapi.sdk.entity.info.ContractSoftwareGoodsInfo;
import com.pyvio.openapi.sdk.entity.info.ContractTradeGoodsInfo;

import java.math.BigDecimal;

public class ContractOrderGetResponse extends PyvioResponse {

    private String batch_no;
    private String state;
    private String order_type;
    private String order_id;
    private BigDecimal order_amount;
    private BigDecimal total_amount;
    private BigDecimal available_amount;
    private BigDecimal used_amount;
    private String currency;
    private Long order_time;
    private String payer_name;
    private String payer_bank_card;
    private String payer_bank_name;
    private String file_info;
    private ContractTradeGoodsInfo trade_goods;
    private ContractAdsFeeInfo ads_fee;
    private ContractSoftwareGoodsInfo software_goods;
    private ContractLogisticsFee logistics_fee;

    public String getBatch_no() {
        return batch_no;
    }

    public void setBatch_no(String batch_no) {
        this.batch_no = batch_no;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public BigDecimal getTotal_amount() {
        return total_amount;
    }

    public void setTotal_amount(BigDecimal total_amount) {
        this.total_amount = total_amount;
    }

    public BigDecimal getAvailable_amount() {
        return available_amount;
    }

    public void setAvailable_amount(BigDecimal available_amount) {
        this.available_amount = available_amount;
    }

    public BigDecimal getUsed_amount() {
        return used_amount;
    }

    public void setUsed_amount(BigDecimal used_amount) {
        this.used_amount = used_amount;
    }

    public String getOrder_type() {
        return order_type;
    }

    public void setOrder_type(String order_type) {
        this.order_type = order_type;
    }

    public String getOrder_id() {
        return order_id;
    }

    public void setOrder_id(String order_id) {
        this.order_id = order_id;
    }

    public BigDecimal getOrder_amount() {
        return order_amount;
    }

    public void setOrder_amount(BigDecimal order_amount) {
        this.order_amount = order_amount;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public Long getOrder_time() {
        return order_time;
    }

    public void setOrder_time(Long order_time) {
        this.order_time = order_time;
    }

    public String getPayer_name() {
        return payer_name;
    }

    public void setPayer_name(String payer_name) {
        this.payer_name = payer_name;
    }

    public String getPayer_bank_card() {
        return payer_bank_card;
    }

    public void setPayer_bank_card(String payer_bank_card) {
        this.payer_bank_card = payer_bank_card;
    }

    public String getPayer_bank_name() {
        return payer_bank_name;
    }

    public void setPayer_bank_name(String payer_bank_name) {
        this.payer_bank_name = payer_bank_name;
    }

    public String getFile_info() {
        return file_info;
    }

    public void setFile_info(String file_info) {
        this.file_info = file_info;
    }

    public ContractTradeGoodsInfo getTrade_goods() {
        return trade_goods;
    }

    public void setTrade_goods(ContractTradeGoodsInfo trade_goods) {
        this.trade_goods = trade_goods;
    }

    public ContractAdsFeeInfo getAds_fee() {
        return ads_fee;
    }

    public void setAds_fee(ContractAdsFeeInfo ads_fee) {
        this.ads_fee = ads_fee;
    }

    public ContractSoftwareGoodsInfo getSoftware_goods() {
        return software_goods;
    }

    public void setSoftware_goods(ContractSoftwareGoodsInfo software_goods) {
        this.software_goods = software_goods;
    }

    public ContractLogisticsFee getLogistics_fee() {
        return logistics_fee;
    }

    public void setLogistics_fee(ContractLogisticsFee logistics_fee) {
        this.logistics_fee = logistics_fee;
    }
}
