package com.pyvio.openapi.sdk.entity.report;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

public class ReportListRequest extends PyvioRequest<ReportListResponse> {

    private Integer page_no;
    private Integer page_size;
    private String bill_date_from;
    private String bill_date_to;
    private String bill_date_type;

    public Integer getPage_no() {
        return page_no;
    }

    public void setPage_no(Integer page_no) {
        this.page_no = page_no;
    }

    public Integer getPage_size() {
        return page_size;
    }

    public void setPage_size(Integer page_size) {
        this.page_size = page_size;
    }

    public String getBill_date_from() {
        return bill_date_from;
    }

    public void setBill_date_from(String bill_date_from) {
        this.bill_date_from = bill_date_from;
    }

    public String getBill_date_to() {
        return bill_date_to;
    }

    public void setBill_date_to(String bill_date_to) {
        this.bill_date_to = bill_date_to;
    }

    public String getBill_date_type() {
        return bill_date_type;
    }

    public void setBill_date_type(String bill_date_type) {
        this.bill_date_type = bill_date_type;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.ReportList;
    }
}
