package com.pyvio.openapi.sdk.entity.shop;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;
import com.pyvio.openapi.sdk.client.PyvioResponse;

public class BaseShopRequest<S extends PyvioResponse> extends PyvioRequest<S> {
    @Override
    public Endpoint getEndPointEnum() {
        return null;
    }

    private String platform;
    private String shop_name;
    private String site;
    private String currency;
    private String shop_link;
    private String selling_goods;
    private String acquirer;
    private String api_key;
    private String api_secret;
    private String legal_no;
    private String shop_owner;
    private String store_id;
    private String sales_category;
    private String application_type;
    private String auth_file_id;

    public String getAuth_file_id() {
        return auth_file_id;
    }

    public void setAuth_file_id(String auth_file_id) {
        this.auth_file_id = auth_file_id;
    }

    public void setPlatform(String platform) {
        this.platform = platform;
    }

    public String getPlatform() {
        return platform;
    }

    public void setShop_name(String shop_name) {
        this.shop_name = shop_name;
    }

    public String getShop_name() {
        return shop_name;
    }

    public void setSite(String site) {
        this.site = site;
    }

    public String getSite() {
        return site;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getCurrency() {
        return currency;
    }

    public void setShop_link(String shop_link) {
        this.shop_link = shop_link;
    }

    public String getShop_link() {
        return shop_link;
    }

    public void setSelling_goods(String selling_goods) {
        this.selling_goods = selling_goods;
    }

    public String getSelling_goods() {
        return selling_goods;
    }

    public void setAcquirer(String acquirer) {
        this.acquirer = acquirer;
    }

    public String getAcquirer() {
        return acquirer;
    }

    public void setApi_key(String api_key) {
        this.api_key = api_key;
    }

    public String getApi_key() {
        return api_key;
    }

    public void setApi_secret(String api_secret) {
        this.api_secret = api_secret;
    }

    public String getApi_secret() {
        return api_secret;
    }

    public void setLegal_no(String legal_no) {
        this.legal_no = legal_no;
    }

    public String getLegal_no() {
        return legal_no;
    }

    public void setShop_owner(String shop_owner) {
        this.shop_owner = shop_owner;
    }

    public String getShop_owner() {
        return shop_owner;
    }

    public void setStore_id(String store_id) {
        this.store_id = store_id;
    }

    public String getStore_id() {
        return store_id;
    }

    public void setSales_category(String sales_category) {
        this.sales_category = sales_category;
    }

    public String getSales_category() {
        return sales_category;
    }

    public String getApplication_type() {
        return application_type;
    }

    public void setApplication_type(String application_type) {
        this.application_type = application_type;
    }
}
