package com.pyvio.openapi.sdk.entity.transfer;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

import java.math.BigDecimal;

public class TransferCreateRequest extends PyvioRequest<TransferDTO> {
    private String partner_order_id;
    private BigDecimal amount;
    private String currency;
    private String purpose;
    private String postscript;
    private String payee_unit_id;

    public String getPostscript() {
        return postscript;
    }

    public void setPostscript(String postscript) {
        this.postscript = postscript;
    }

    public String getPartner_order_id() {
        return partner_order_id;
    }

    public void setPartner_order_id(String partner_order_id) {
        this.partner_order_id = partner_order_id;
    }

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }

    public String getPayee_unit_id() {
        return payee_unit_id;
    }

    public void setPayee_unit_id(String payee_unit_id) {
        this.payee_unit_id = payee_unit_id;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.TransferCreate;
    }
}
