package com.pyvio.openapi.sdk.entity.user;

import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioRequest;

public class UserGetRequest extends PyvioRequest<UserDTO> {

    private String unit_id;
    private String partner_user_id;

    public String getUnit_id() {
        return unit_id;
    }

    public void setUnit_id(String unit_id) {
        this.unit_id = unit_id;
    }

    public String getPartner_user_id() {
        return partner_user_id;
    }

    public void setPartner_user_id(String partner_user_id) {
        this.partner_user_id = partner_user_id;
    }

    @Override
    public Endpoint getEndPointEnum() {
        return Endpoint.UserGet;
    }
}
