package com.pyvio.openapi.sdk.enums;

public class CollectionEnum {

    public enum Status{
        Pending("Pending"),
        Failure("Failure"),
        Success("Success");

        private final String code;

        Status(String code) {
            this.code = code;
        }
        public String getCode() {
            return code;
        }
    }


    public enum AttachmentType {
        B2B("B2B"),
        B2C("B2C"),
        WEBSTORE("WEBSTORE"),
        BankRequirement("BankRequirement"),
        ContractOrder("ContractOrder");

        private final String code;

        AttachmentType(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    public enum FilesType {
        Contract("contract"),
        BankReceipt("bankReceipt"),
        ShippingReceipt("shippingReceipt"),
        WithdrawalCertificate("withdrawalCertificate"),
        Orders("orders"),
        Other("other");

        private final String code;

        FilesType(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }
}
