package com.pyvio.openapi.sdk.enums;

// https://developer-doc.pyvio.com/v1/Appendix/FileType/#file-type
public enum FileEnum {
    SSC("SSC"),
    BI("BI"),
    BR("BR"),
    CI("CI"),
    NNC1("NNC1"),
    NAR("NAR"),
    AOA("AOA"),
    Other("Other"),
    BAP("BAP"),
    ID_HAND("ID_Hand"),
    PRC_ID_EMBLEM("PRC_ID_Emblem"),
    PRC_ID_PORTRAIT("PRC_ID_Portrait"),
    OIC("OIC"),
    PP("PP"),
    POA("POA"),
    FIC("FIC"),
    HK_RP("HK_RP"),
    HK_MTP("HK_MTP"),
    HK_PP("HK_PP"),
    HK_PID("HK_PID"),
    HKM_RP("HKM_RP"),
    HKM_MTP("HK/Mac_MTP");

    private final String code;

    FileEnum(String code) {
        this.code = code;
    }

    public String getCode() {
        return code;
    }
}
