package com.pyvio.openapi.sdk.enums;

public class UserEnum {

    public enum MerchantType {
        B2B("B2B"),
        B2C("B2C");

        private final String code;

        MerchantType(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    public enum KycType {
        ChinaEnterPriseLimited("china-enterprise-limited"),
        HKEnterprise("hk-enterprise"),
        ChinaIndividual("china-individual"),
        ChinaEnterpriseInvestment("china-enterprise-investment"),
        ChinaEnterpriseSelfEmployed("china-enterprise-self-employed"),
        ForeignEnterprise("foreign-enterprise"),
        VietnamForeignIndividual("vietnam-foreign-individual")
        ;

        private final String code;

        KycType(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }

    public enum CompanyType {
        Corporation("Corporation"),
        Partnership("Partnership"),
        IICH("IICH"),
        LimitedCompany("Limited Company"),
        Others("Others");

        private final String code;

        CompanyType(String code) {
            this.code = code;
        }

        public String getCode() {
            return code;
        }
    }


}
