import com.alibaba.fastjson.JSONObject;
import com.pyvio.openapi.sdk.client.Endpoint;
import com.pyvio.openapi.sdk.client.PyvioClient;
import com.pyvio.openapi.sdk.entity.balance.BalanceGetRequest;
import com.pyvio.openapi.sdk.entity.balance.BalanceGetResponse;
import com.pyvio.openapi.sdk.entity.balance.BalanceHistoryRequest;
import com.pyvio.openapi.sdk.entity.balance.BalanceHistoryResponse;
import com.pyvio.openapi.sdk.entity.unit.UnitGetRequest;
import com.pyvio.openapi.sdk.entity.unit.UnitGetResponse;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.HashMap;
import java.util.Map;

public class UnitTest extends BaseTest {
    private static final Logger log = LoggerFactory.getLogger(BaseTest.class);

    @Test
    public void testGetUnit() {
        log.info("------------testGetUnit---------------");
        PyvioClient pyvioClient = getClient(Endpoint.UnitGet);

        UnitGetRequest request = new UnitGetRequest();
//        Map<String, String> header = new HashMap<>();
//        header.put("X-Unit-Id", "UT1676140408448164843");
//
//        request.setHeader(header);

        UnitGetResponse response = pyvioClient.execute(request);
        System.out.println(JSONObject.toJSONString(response));
        log.info("------------testGetUnit---------------");
    }

}
